Subject: bug#22564: Fundamental mode isn't fundamental enough.

From: Glenn Morris <[email-masked]>
Date: Fri, 05 Feb 2016 16:43:18 -0500

Anyway, it seems to me that this is nothing to do with any particular
major mode. You can see the same issue if, in emacs -nw, you paste with
the mouse multiple long lines of text from some other application into a
text-mode buffer with auto-fill enabled: they get refilled. Seems like
the same basic issue to me, nothing to do with any particular major (or
minor) mode, rather a limitation of copy/paste in text-mode terminals.

And indeed this is a duplicate of http://debbugs.gnu.org/19093 .
For me it is fixed in emacs-25 (sadly the initial report contains no
information as to Emacs version) by bracketed paste support. (I have no
idea if this does, or can, apply to the Linux console. I tried with -nw
in a graphical session.)

So it seems to that this is already as fixed as it's going to get,
and we don't need to worry about re-jigging fundamental-mode.